package cn.iselab.mooctest.user.service;

import cn.iselab.mooctest.user.model.Medal;
import cn.iselab.mooctest.user.model.User2Medal;

import java.util.List;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 上午11:42 2018/2/13
 * @Modified By:
 */
public interface MedalService {

    Medal saveMedal(Medal medal);

    Medal updateMedal(Medal medal);

    Medal findById(long id);

    User2Medal saveUser2Medal(User2Medal medal);

    User2Medal findByUserIdAndMedalId(long userId, long medalId);

    List<User2Medal> findByPage(long userId);

    List<Medal> findByKeyword(String word);
}
